org.apache.torque.generator.control

## Class TokenReplacerTest

- java.lang.Object
- - org.apache.torque.generator.BaseTest
  - - org.apache.torque.generator.control.TokenReplacerTest

-     public class TokenReplacerTest
      extends BaseTest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenReplacerTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testDoubleEscapingOutsideToken()`
    `void` | `testEscapingInToken()`
    `void` | `testEscapingOutsideToken()`
    `void` | `testEscapingTokenStart1()`
    `void` | `testEscapingTokenStart2()`
    `void` | `testNoToken()`
    `void` | `testTokenWithNamespace()`
    `void` | `testTokenWithoutNamespace()`
    `void` | `testTokenWithSpecialChars()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenReplacerTest

          public TokenReplacerTest()

  - ### Method Detail

    - #### setUp

          @BeforeEach
          public void setUp()

    - #### testNoToken

          @Test
          public void testNoToken()
                                  throws Exception

      Throws:
        `Exception`

    - #### testTokenWithoutNamespace

          @Test
          public void testTokenWithoutNamespace()
                                                throws Exception

      Throws:
        `Exception`

    - #### testTokenWithNamespace

          @Test
          public void testTokenWithNamespace()
                                             throws Exception

      Throws:
        `Exception`

    - #### testEscapingOutsideToken

          @Test
          public void testEscapingOutsideToken()
                                               throws Exception

      Throws:
        `Exception`

    - #### testEscapingInToken

          @Test
          public void testEscapingInToken()
                                          throws Exception

      Throws:
        `Exception`

    - #### testDoubleEscapingOutsideToken

          @Test
          public void testDoubleEscapingOutsideToken()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testTokenWithSpecialChars

          @Test
          public void testTokenWithSpecialChars()
                                                throws Exception

      Throws:
        `Exception`

    - #### testEscapingTokenStart1

          @Test
          public void testEscapingTokenStart1()
                                              throws Exception

      Throws:
        `Exception`

    - #### testEscapingTokenStart2

          @Test
          public void testEscapingTokenStart2()
                                              throws Exception

      Throws:
        `Exception`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.